Skip to content

Get KYC status

GET
/v2/send/kyc/status

Get the current KYC verification status for a wallet address

walletAddress
required
string

Wallet address to check

Example
0x1234567890abcdef1234567890abcdef12345678
chainId
required
string

Blockchain chain ID (as string)

Example
84532

KYC status for the wallet

object
verified
required

Whether the wallet is KYC verified

boolean
true
status
required

KYC verification status

string
Allowed values: verified not_verified pending in_progress rejected
verified
walletAddress
required

Wallet address

string
0x1234567890abcdef1234567890abcdef12345678
chainId
required

Blockchain chain ID

number
84532
verificationId

Verification record ID

string format: uuid
kycRequestId

KYC request ID (if initiated)

string format: uuid
sessionUrl

KYC provider session URL (if initiated)

string format: uri
message

Human-readable message

string

Bad Request

Unauthorized

Forbidden

Not Found

Internal Server Error